Orxonox: orxonox::AIController Class Reference

# orxonox::AIController Class Reference

`#include <src/orxonox/objects/controllers/AIController.h>`

Inheritance diagram for orxonox::AIController:

List of all members.

## Public Member Functions

| AIController (BaseObject *creator)
virtual void | tick (float dt)
| Gets called every frame.
virtual | ~AIController ()

## Protected Member Functions

virtual void | action ()

## Private Attributes

Timer< AIController > | actionTimer_

## Constructor & Destructor Documentation

orxonox::AIController::AIController | ( | BaseObject * | creator | ) |

References action(), orxonox::ACTION_INTERVAL, actionTimer_, orxonox::createExecutor(), and RegisterObject.

orxonox::AIController::~AIController | ( |  | ) | `[virtual]`

## Member Function Documentation

void orxonox::AIController::action | ( |  | ) | `[protected, virtual]`

References orxonox::ACTION_INTERVAL, orxonox::ArtificialController::bHasTargetPosition_, orxonox::ArtificialController::bShooting_, orxonox::ArtificialController::forgetTarget(), orxonox::rnd(), orxonox::ArtificialController::searchNewTarget(), orxonox::ArtificialController::searchRandomTargetPosition(), and orxonox::ArtificialController::target_.

Referenced by AIController().

void orxonox::AIController::tick | ( | float | dt | ) | `[virtual]`

Gets called every frame.

Parameters:

  | dt | The time since the last frame in seconds

Implements orxonox::Tickable.

References orxonox::ArtificialController::aimAtTarget(), orxonox::ArtificialController::bHasTargetPosition_, orxonox::ArtificialController::bShooting_, orxonox::ControllableEntity::fire(), orxonox::Controller::getControllableEntity(), orxonox::BaseObject::isActive(), orxonox::ArtificialController::isCloseAtTarget(), orxonox::ArtificialController::isLookingAtTarget(), orxonox::ArtificialController::moveToTargetPosition(), SUPER, and orxonox::ArtificialController::target_.

## Member Data Documentation

Timer<AIController> orxonox::AIController::actionTimer_`[private]`

Referenced by AIController().

The documentation for this class was generated from the following files:

- src/orxonox/objects/controllers/AIController.h
- src/orxonox/objects/controllers/AIController.cc